Package com.ocient.cli.extract

# Class WriteThroughResultSetExtractor

java.lang.Object
com.ocient.cli.extract.ResultSetExtractor
com.ocient.cli.extract.WriteThroughResultSetExtractor

All Implemented Interfaces:
  `RowTransformerFactory`

public class WriteThroughResultSetExtractor extends ResultSetExtractor

## Nested Class Summary

## Nested classes/interfaces inherited from class com.ocient.cli.extract.ResultSetExtractor

`ResultSetExtractor.ExtractTransformer`

## Field Summary

### Fields inherited from class com.ocient.cli.extract.ResultSetExtractor

`extractConfig, headers, recordExtractorFactory`

## Constructor Summary

Constructors
Constructor
Description
`WriteThroughResultSetExtractor(ExtractConfiguration config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`extract(ResultSet resultSet, ResultSetMetaData resultSetMetaData)`

### Methods inherited from class com.ocient.cli.extract.ResultSetExtractor

`acquire, parseHeader, release, sanitizeValues, startNewWriter, unpack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriteThroughResultSetExtractor

public WriteThroughResultSetExtractor(ExtractConfiguration config)

## Method Details

### extract

public void extract(ResultSet resultSet, ResultSetMetaData resultSetMetaData) throws IllegalStateException, IOException, SQLException

Specified by:
  `extract` in class `ResultSetExtractor`
Throws:
  `IllegalStateException`
  `IOException`
  `SQLException`